+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 16 of 16
  1. #11
    Forum Newbie
    Using
    AutoCAD 2010
    Join Date
    Jan 2010
    Posts
    3

    Default

    Registered forum members do not see this ad.

    2008 has a command STP_SETCURRSA which allows you to select a line in your drawing and set the crosshairs to that angle. similarly, there is a command to snap them back to 0. This command no longer is supported in 2010. Anyone know how to easily make this happen? It's far faster to use a key command sequence to do this than a series of menus (assuming it's still even possible). Anyone know?

  2. #12
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    I believe the command you refer to is from an add-on or a custom lisp command; STP_SETCURRSA has never been a command in core Autocad.
    See here
    http://www.hyperpics.com/commands/

    You could use UCS > Ob to align the UCS with an object... then use UCS > P to return

  3. #13
    Forum Newbie
    Using
    AutoCAD 2010
    Join Date
    Jan 2010
    Posts
    3

    Default

    I went to that webpage, searched it for the command I'm looking for and it isn't listed. Are you saying that the command is not an AutoCad command? That it's part of a second party program (which may or may not be part of the discussion on that web page)? Is there a way around this where I could program a button or insert a short lisp routine to get me where I need to go? It is a highly useful tool that now is no longer available to me. I hope there is a way to retrieve it!

    Thanks for your help!

  4. #14
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Quote Originally Posted by jlmdesgn View Post
    Are you saying that the command is not an AutoCad command?
    I thought I made that fairly explicit in post #12

    Quote Originally Posted by jlmdesgn View Post
    Is there a way around this where I could program a button or insert a short lisp routine to get me where I need to go? It is a highly useful tool that now is no longer available to me. I hope there is a way to retrieve it!
    Thanks for your help!
    Add this to your acaddoc.lsp file
    Code:
    (defun c:ue () (command "ucs" "ob"))
    (defun c:up () (command "ucs" "p"))
    This will make the commands UE and UP. The new command UE will align the UCS to an object; UP will realign the UCS to its previous state.

  5. #15
    Forum Newbie
    Using
    AutoCAD 2010
    Join Date
    Jan 2010
    Posts
    3

    Default

    Thank you for the answer - not for the attitude. I'm sorry if some of us aren't as intelligent as you are. You're superiority was clearly noticed by your knowledge. The attitude "I thought I made that fairly explicit in post #12" only made you appear arrogant. You should have stopped at "intelligent."

    Good day

  6. #16
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Registered forum members do not see this ad.

    Whoa Nellie... you should have stopped at Thank you.

Similar Threads

  1. 1st angle/3rd angle projection
    By Lazer in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 36
    Last Post: 30th Jun 2011, 02:09 pm
  2. Crosshair Error
    By ionica in forum AutoCAD Drawing Management & Output
    Replies: 1
    Last Post: 5th Apr 2006, 05:06 am
  3. Crosshair when using ordinate dimensioning?
    By Regen in forum AutoCAD Drawing Management & Output
    Replies: 3
    Last Post: 20th Feb 2006, 07:26 pm
  4. Crosshair problems in paperspace!!
    By LukemanVW in forum AutoCAD Drawing Management & Output
    Replies: 2
    Last Post: 15th Nov 2005, 11:08 am
  5. AutoCAD LT 2002 Crosshair problem
    By Meldrew in forum AutoCAD Drawing Management & Output
    Replies: 1
    Last Post: 20th Sep 2005, 11:24 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts